package com.example.bdkipoc;

import android.os.Bundle;
import android.view.View;
import android.widget.Toast;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.cardview.widget.CardView;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });

        // Set up click listeners for the cards
        CardView paymentCard = findViewById(R.id.card_payment);
        CardView transactionsCard = findViewById(R.id.card_transactions);

        paymentCard.setOnClickListener(v -> {
            // Launch payment activity
            startActivity(new android.content.Intent(MainActivity.this, PaymentActivity.class));
        });

        transactionsCard.setOnClickListener(v -> {
            // Launch transactions activity
            startActivity(new android.content.Intent(MainActivity.this, TransactionActivity.class));
        });
    }
}